#include "AdvanceEvaluator.h"

#include "AdvanceBehavior.h"
#include "BehaviorScores.h"
#include "EntityAdmin.h"
#include "tracing.h"

void AdvanceEvaluator::evaluate(EntityAdmin& admin)
{
    TRACE();
    admin.forEach<AdvanceBehavior>(
        [](entt::entity /*e*/, AdvanceBehavior& advance)
        {
            advance.score = BehaviorScores::kAdvance;
        });
}
